summaryrefslogtreecommitdiff
path: root/debian/leap-geolocation.service
diff options
context:
space:
mode:
Diffstat (limited to 'debian/leap-geolocation.service')
-rw-r--r--debian/leap-geolocation.service24
1 files changed, 24 insertions, 0 deletions
diff --git a/debian/leap-geolocation.service b/debian/leap-geolocation.service
new file mode 100644
index 0000000..b75996b
--- /dev/null
+++ b/debian/leap-geolocation.service
@@ -0,0 +1,24 @@
+#!/bin/sh
+# postinstall script for leap-geolocation
+
+case "$1" in
+configure)
+
+ adduser --quiet --system --home /nonexistent --no-create-home \
+ --disabled-password --group leap-geolocation
+
+ ;;
+abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+*)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0